<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <AllowUnsafeBlocks>True</AllowUnsafeBlocks>
    <GenerateDocumentationFile>True</GenerateDocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="AgileConfig.Client" Version="1.7.3" />
    <PackageReference Include="AlibabaCloud.SDK.Cloudauth20190307" Version="3.3.0" />
    <PackageReference Include="AlibabaCloud.SDK.Dysmsapi20170525" Version="3.1.0" />
    <PackageReference Include="AlipayEasySDK" Version="2.1.3" />
    <PackageReference Include="AlipayEasySDK.Kernel" Version="1.0.6" />
    <PackageReference Include="AutoMapper" Version="13.0.1" />
    <PackageReference Include="Bogus" Version="35.6.1" />
    <PackageReference Include="FastMember" Version="1.5.0" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="8.0.10" />
    <PackageReference Include="Microsoft.Extensions.Hosting.Abstractions" Version="8.0.1" />
    <PackageReference Include="Quartz" Version="3.13.1" />
    <PackageReference Include="Quartz.AspNetCore" Version="3.13.1" />
    <PackageReference Include="Quartz.Extensions.DependencyInjection" Version="3.13.1" />
    <PackageReference Include="Refit" Version="8.0.0" />
    <PackageReference Include="Refit.HttpClientFactory" Version="8.0.0" />
    <PackageReference Include="SKIT.FlurlHttpClient.Wechat.TenpayV3" Version="3.9.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\Model\CloudGaming.AppConfigModel\CloudGaming.AppConfigModel.csproj" />
    <ProjectReference Include="..\..\Model\CloudGaming.DtoModel\CloudGaming.DtoModel.csproj" />
    <ProjectReference Include="..\..\Model\CloudGaming.GameModel\CloudGaming.GameModel.csproj" />
    <ProjectReference Include="..\..\Model\CloudGaming.Model\CloudGaming.Model.csproj" />
    <ProjectReference Include="..\..\Utile\HuanMeng.DotNetCore\HuanMeng.DotNetCore.csproj" />
  </ItemGroup>

</Project>
